at.chipkarte.client.rez.soap

## Class SuchkriterienSelbsterstellteRezepte

- Object
- - at.chipkarte.client.rez.soap.SuchkriterienSelbsterstellteRezepte

-     public class SuchkriterienSelbsterstellteRezepte
      extends Object

  Suchkriterien für die Suche über selbst erstellte e-Rezepte.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuchkriterienSelbsterstellteRezepte()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBis()` Datum Bis.
    `String` | `getKarteninhaberKennnummer()` 6 Kennnummer des Karteninhabers.
    `String` | `getKvt()` KV-Träger.
    `String` | `getNurStornierbar()` Nur stornierbare Ergebnisse.
    `String` | `getOrdinationsId()` Eindeutiger Bezeichner einer Ordination.
    `String` | `getPatientVorname()` Vorname des Patienten.
    `String` | `getPatientZuname()` Zuname / Familienname des Patienten.
    `String` | `getRezeptart()` Information um welche Art von Rezept es sich handelt.
    `String` | `getRezid()` Eindeutige ID eines e-Rezeptes.
    `String` | `getSvnr()` Versicherungsnummer.
    `String` | `getVon()` Datum Von.
    `void` | `setBis(String bis)`
    `void` | `setKarteninhaberKennnummer(String karteninhaberKennnummer)`
    `void` | `setKvt(String kvt)`
    `void` | `setNurStornierbar(String nurStornierbar)`
    `void` | `setOrdinationsId(String ordinationsId)`
    `void` | `setPatientVorname(String patientVorname)`
    `void` | `setPatientZuname(String patientZuname)`
    `void` | `setRezeptart(String rezeptart)`
    `void` | `setRezid(String rezid)`
    `void` | `setSvnr(String svnr)`
    `void` | `setVon(String von)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuchkriterienSelbsterstellteRezepte

          public SuchkriterienSelbsterstellteRezepte()

  - ### Method Detail

    - #### getRezid

          public String getRezid()

      Eindeutige ID eines e-Rezeptes.
      Format: 12-stellig
      Angabe: Kann.
      Returns:
        Returns the rezId.

    - #### setRezid

          public void setRezid(String rezid)

    - #### getRezeptart

          public String getRezeptart()

      Information um welche Art von Rezept es sich handelt.
      Angabe: Kann. Die Rezeptart wird bei Verwendung der Suchkriterien zum Download von Rezeptdatensätzen (Funktion `eRezepteDatensatzDownloaden()`) ignoriert.
      Mögliche Werte: `RezeptartConstants`.
      Returns:
        Rezeptart.

    - #### setRezeptart

          public void setRezeptart(String rezeptart)

    - #### getSvnr

          public String getSvnr()

      Versicherungsnummer.
      Format: 10-stellig
      Angabe: Kann.
      Returns:
        svnr

    - #### setSvnr

          public void setSvnr(String svnr)

    - #### getKarteninhaberKennnummer

          public String getKarteninhaberKennnummer()

      6 Kennnummer des Karteninhabers. (Feld 6 der EKV-Karte.)
      Angabe: Kann.
      Format: 1 bis 30-stellig.
      Returns:
        KarteninhaberKennnummer.

    - #### setKarteninhaberKennnummer

          public void setKarteninhaberKennnummer(String karteninhaberKennnummer)

    - #### getPatientVorname

          public String getPatientVorname()

      Vorname des Patienten.
      Format: maximal 70-Zeichen.
      Angabe: Kann.
      Returns:
        Vorname

    - #### setPatientVorname

          public void setPatientVorname(String patientVorname)

    - #### getPatientZuname

          public String getPatientZuname()

      Zuname / Familienname des Patienten.
      Format: maximal 70-Zeichen.
      Angabe: Bedingt.
      Returns:
        Zuname

    - #### setPatientZuname

          public void setPatientZuname(String patientZuname)

    - #### getVon

          public String getVon()

      Datum Von.
      Format: TT.MM.JJJJ (nicht in der Zukunft, nicht nach Bis)
      Angabe: Kann.
      Returns:
        von

    - #### setVon

          public void setVon(String von)

    - #### getBis

          public String getBis()

      Datum Bis.
      Format: TT.MM.JJJJ (nicht in der Zukunft)
      Angabe: Kann.
      Returns:
        bis

    - #### setBis

          public void setBis(String bis)

    - #### getKvt

          public String getKvt()

      KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        KVT

    - #### setKvt

          public void setKvt(String kvt)

    - #### getOrdinationsId

          public String getOrdinationsId()

      Eindeutiger Bezeichner einer Ordination.
      Format: max. 19-Stellen
      Angabe: Kann.
      Returns:
        Ordinations Id

    - #### setOrdinationsId

          public void setOrdinationsId(String ordinationsId)

    - #### getNurStornierbar

          public String getNurStornierbar()

      Nur stornierbare Ergebnisse.
      Bei Angabe dieses Parameters werden die Suchergebnisse auf e-Rezepte eingeschränkt die noch stornierbar sind. Wird der Parameter nicht angegeben, erfolgt keine explizite Einschränkung bzgl. der Stornierbarkeit der Rezepte (es werden stornierbare und nicht stornierbare e-Rezepte retourniert).
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Kann.
      Returns:
        nur stornierbar

    - #### setNurStornierbar

          public void setNurStornierbar(String nurStornierbar)